<table id="car-insurer-grid" ></table>
<script>
    $(function(){
        //表格列表
        $('#car-insurer-grid').datagrid({
            url: '/car/insurer-json-data?car_id=<?=$car_id?>',
            method:'GET',
            idField: 'id',
            rownumbers: true,
            pagination: true,
            singleSelect: true,
            pageSize: 20,
            pageList: [20,30,50],
            striped: true,
            toolbar: [{
                iconCls: 'icon-reload',
                text:'刷新',
                handler: function() {
                    $('#car-insurer-grid').datagrid('reload');
                }
            }],
            columns: [[
                { field: 'id_man', title: '被保险人',width:100},
                { field: 'link_man', title: '联系人',width:100},
                { field: 'link_phone', title: '联系电话'},
                { field: 'submit_date', title: '提单日期'},
                { field: 'company', title: '保险公司'},
                { field: 'total_all', title: '共计签单'},
                { field: 'status', title: '状态'},
                { field: 'user', title: '业务员'}
            ]]
        });
    });
</script>
