<?php
use \common\libs\MyLib;
?>
<?php $this->beginBlock('header_css'); ?>
<link href="/assets/css/plugins/clockpicker/clockpicker.css" rel="stylesheet">
<?php $this->endBlock(); ?>

<div class="wrapper wrapper-content animated fadeInRight">
    <div class="ibox float-e-margins">
        <div class="ibox-content">
            <div class="row">
                <div class="col-sm-12">
                    <form role="form" class="form-horizontal data-from" id="theFrm">
                        <input type="hidden" name="car_id" value="<?=$car_id?>">
                        <div class="form-group">
                            <label class="col-sm-1 control-label">名称</label>
                            <div class="col-sm-5">
                                <input type="text" name="name" class="form-control" value="">
                            </div>
                            <label class="col-sm-1 control-label">电话</label>
                            <div class="col-sm-5">
                                <input type="text" name="phone" class="form-control" value="">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-1 control-label">证件类型</label>
                            <div class="col-sm-5">
                                <select name="id_type" class="form-control">
                                    <option value="身份证">身份证</option>
                                    <option value="营业执照">营业执照</option>
                                </select>
                            </div>
                            <label class="col-sm-1 control-label">证件号码</label>
                            <div class="col-sm-5">
                                <input type="text" name="id_number" class="form-control" value="">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-1 control-label">关系</label>
                            <div class="col-sm-5">
                                <select name="type" class="form-control">
                                    <option value="其他联系人">其他联系人</option>
                                    <option value="车主">车主</option>
                                    <option value="被保险人">被保险人</option>
                                    <option value="投保人">投保人</option>
                                </select>
                            </div>
                        </div>
                        <div>
                            <div class="row">
                                <div class="col-sm-5 col-sm-offset-5">
                                    <button class="btn btn-primary btn-save" type="button">
                                        <strong>添 加</strong>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<?php $this->beginBlock('footer_js'); ?>
<script src="/assets/js/plugins/clockpicker/clockpicker.js"></script>
<script type="text/javascript" language="javascript">
    $(function () {
        //提交按钮
        $(".btn-save").click(function(){
            parent.layer.confirm('是否确认提交？', {
                btn: ['确认','取消'], //按钮
                shade: false //不显示遮罩
            }, function(){
                var params = $("#theFrm").serialize();
                $.post('/car/linkman-save',params,function(data){
                    parent.layer.msg(data.msg);
                    if(data.success) {
                        parent.location.reload();
                        layer_close();
                    }
                },'json');
            }, function(){
                //
            });
        });
    })
</script>
<?php $this->endBlock('footer_js'); ?>
