<?php
use \common\libs\MyLib;
?>
<?php $this->beginBlock('header_css'); ?>
<link href="/assets/css/plugins/iCheck/custom.css" rel="stylesheet">
<?php $this->endBlock(); ?>

<div class="wrapper wrapper-content animated fadeInRight">
    <form role="form" class="form-horizontal data-from" id="theFrm">
        <input type="hidden" name="id" value="<?=$pay_info->id?>">
        <?php if($pay_info->renshi_status_id == 1) { ?>
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>基本工资</h5>
            </div>
            <div class="ibox-content">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label class="col-sm-1 control-label">职务</label>
                            <div class="col-sm-3">
                                <label class="form-control-static"><?=$user_info->group?$user_info->group->getPath():''?></label>
                            </div>
                            <label class="col-sm-1 control-label">姓名</label>
                            <div class="col-sm-3">
                                <label class="form-control-static"><?=$user_info->getShowName()?></label>
                            </div>
                            <label class="col-sm-1 control-label">基本工资</label>
                            <div class="col-sm-3">
                                <label class="form-control-static"><?=$pay_info->day_formal_pay + $pay_info->day_try_pay?></label>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-1 control-label">补助工资</label>
                            <div class="col-sm-3">
                                <label class="form-control-static"><?=$pay_info->buzhu_pay?></label>
                            </div>
                            <label class="col-sm-1 control-label">扣除工资</label>
                            <div class="col-sm-3">
                                <label class="form-control-static"><?=$pay_info->kouchu_pay?></label>
                            </div>
                            <label class="col-sm-1 control-label">合计</label>
                            <div class="col-sm-3">
                                <label class="form-control-static"><?=$pay_info->base_real_pay?></label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php } ?>
        <?php if($pay_info->chuna_status_id == 2) { ?>
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>提成工资</h5>
            </div>
            <div class="ibox-content">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label class="col-sm-1 control-label">职务</label>
                            <div class="col-sm-3">
                                <label class="form-control-static"><?=$user_info->group?$user_info->group->getPath():''?></label>
                            </div>
                            <label class="col-sm-1 control-label">姓名</label>
                            <div class="col-sm-3">
                                <label class="form-control-static"><?=$user_info->getShowName()?></label>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-1 control-label">保单提成</label>
                            <div class="col-sm-3">
                                <label class="form-control-static"><?=$pay_chexian?></label>
                            </div>
                            <label class="col-sm-1 control-label">团队长提成</label>
                            <div class="col-sm-3">
                                <label class="form-control-static"><?=$pay_dz?></label>
                            </div>
                            <label class="col-sm-1 control-label">合计</label>
                            <div class="col-sm-3">
                                <label class="form-control-static"><?=$pay_chexian + $pay_dz?></label>
                            </div>
                        </div>
                        <?php if($pay_info->status_id < 4 || $pay_info->status_id == 8 || $pay_info->status_id == 10) { ?>
                            <div>
                                <div class="row">
                                    <div class="col-sm-1 col-sm-offset-5">
                                        <select name="status_id" id="status_id" class="form-control">
                                            <option value="0"></option>
                                            <option value="1">人事管理</option>
                                            <option value="2">出纳管理</option>
                                        </select>
                                    </div>
                                    <div class="col-sm-5">
                                        <button class="btn btn-primary btn-back" type="button">
                                            <strong>退 回</strong>
                                        </button>
                                        <button class="btn btn-primary btn-save" type="button">
                                            <strong>提 交</strong>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
        <?php } ?>
        <?php if($pay_info->renshi_status_id == 1) {?>
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>基本工资详情</h5>
            </div>
            <div class="ibox-content">
                <div class="row">
                    <div class="col-sm-12">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th colspan="10">基本工资</th>
                            </tr>
                            <tr>
                                <th>职务</th>
                                <th>姓名</th>
                                <th>入职时间</th>
                                <th>工作制</th>
                                <th>试用工资</th>
                                <th>转正时间</th>
                                <th>转正工资</th>
                                <th>试用出勤天数</th>
                                <th>转正出勤天数</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td><?=$group_info?$group_info->getPath():''?></td>
                                <td><?=$user_info->getShowName()?></td>
                                <td><?=$user_info->enter_date?></td>
                                <td><?=$user_info->worktype?$user_info->worktype->name:''?></td>
                                <td><input oninput="tryPay($(this))" type="text" name="try_pay" value="<?=$pay_info->try_pay == '0.00' ? $user_info->try_pay : $pay_info->try_pay?>"></td>
                                <td><?=$user_info->job_date?></td>
                                <td><input oninput="formalPay($(this))" type="text" name="formal_pay" value="<?=$pay_info->formal_pay == '0.00' ? ($group_info?($group_info->base_pay + $group_info->job_pay + $group_info->station_pay + $user_info->ext_pay):$user_info->ext_pay) : $pay_info->formal_pay?>" /></td>
                                <td><input  name="try_attendance_days" type="text" value="<?=$pay_info->try_attendance_days?>" style="width:60px;"/></td>
                                <td><input  name="attendance_days" type="text" value="<?=$pay_info->attendance_days?>" style="width:60px;"/></td>
                            </tr>
                            </tbody>
                        </table>
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th colspan="8">补助工资</th>
                            </tr>
                            <tr>
                                <th>试用加班</th>
                                <th>转正加班</th>
                                <th>社保</th>
                                <th>话费</th>
                                <th>公交</th>
                                <th>奖金</th>
                                <th>全勤(钱数)</th>
                                <th>通时(钱数)</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td><input  name="try_extjob_pay" type="text" value="<?=$pay_info->try_extjob_pay?>" style="width:60px;"/></td>
                                <td><input  name="extjob_pay" type="text" value="<?=$pay_info->extjob_pay?>" style="width:60px;"/></td>
                                <td><input  name="give_social_pay" type="text" value="<?=$pay_info->give_social_pay?>" style="width:60px;"/></td>
                                <td><input  name="calls" type="text" value="<?=$pay_info->calls?>" style="width:60px;"/></td>
                                <td><input  name="bus" type="text" value="<?=$pay_info->bus?>" style="width:60px;"/></td>
                                <td><input  name="bonus" type="text" value="<?=$pay_info->bonus?>" style="width:60px;"/></td>
                                <td><input  name="get_full_attendance_pay" type="text" value="<?=$pay_info->get_full_attendance_pay ? $pay_info->get_full_attendance_pay : '0.00'?>" style="width:60px;"/></td>
                                <td><input  name="get_pass_time_pay" type="text" value="<?=$pay_info->get_pass_time_pay ? $pay_info->get_pass_time_pay : '0.00'?>" style="width:60px;"/></td>
                            </tr>
                            </tbody>
                        </table>
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th colspan="11">应扣工资</th>
                            </tr>
                            <tr>
                                <th>迟到</th>
                                <th>事假</th>
                                <th>病假</th>
                                <th>社保</th>
                                <th>罚款</th>
                                <th>电费</th>
                                <th>离职押金</th>
                                <th>公积金</th>
                                <th>个税</th>
                                <th>全勤(钱数或百分比)</th>
                                <th>通时(钱数或百分比)</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td><input  name="late_pay" type="text" value="<?=$pay_info->late_pay?>" style="width:60px;"/></td>
                                <td><input  name="leave_pay" type="text" value="<?=$pay_info->leave_pay?>" style="width:60px;"/></td>
                                <td><input  name="sick_pay" type="text" value="<?=$pay_info->sick_pay?>" style="width:60px;"/></td>
                                <td><input  name="social_pay" type="text" value="<?=$pay_info->social_pay?>" style="width:60px;"/></td>
                                <td><input  name="fine_pay" type="text" value="<?=$pay_info->fine_pay?>" style="width:60px;"/></td>
                                <td><input  name="electricity_pay" type="text" value="<?=$pay_info->electricity_pay?>" style="width:60px;"/></td>
                                <td><input  name="deposit" type="text" value="<?=$pay_info->deposit?>" style="width:60px;"/></td>
                                <td><input  name="public_pay" type="text" value="<?=$pay_info->public_pay?>" style="width:60px;"/></td>
                                <td><input type="text" name="tax" value="<?=$pay_info->tax?>" /></td>
                                <td><input  name="full_attendance_pay" type="text" value="<?=$pay_info->full_attendance_pay?>" style="width:60px;"/></td>
                                <td><input  name="pass_time_pay" type="text" value="<?=$pay_info->pass_time_pay?>" style="width:60px;"/></td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <?php } ?>
        <?php if($pay_info->chuna_status_id == 2) { ?>
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>提成工资详情</h5>
            </div>
            <div class="ibox-content">
                <div class="row">
                    <div class="col-sm-12">
                        <?php if($my_type1_query->count() > 0) { ?>
                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                    <th colspan="13">我的新保</th>
                                </tr>
                                <tr>
                                    <th>序号</th>
                                    <th>车牌号</th>
                                    <th>正本日期</th>
                                    <th>商业净保费</th>
                                    <th>加点比例</th>
                                    <th>基本比例</th>
                                    <th>应提金额</th>
                                    <!--            <td height="25" align="center" class="bg_tr">原新保提成</td>-->
                                    <th>减免金额</th>
                                    <th>自费礼品</th>
                                    <th>自费礼券</th>
                                    <th>业务自付</th>
                                    <th>实提金额</th>
                                    <th>详情</th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php
                                $should_pay = 0;
                                $real_pay = 0;
                                $total1_clear = 0;
                                $total1_dis = 0;
                                $ticket_all = 0;
                                $gift_all = 0;
                                $zifu_all = 0;
                                foreach($my_type1_query->each() as $index=>$pay_order) {
                                    $order_info = $pay_order->order;
                                    $caiwu_info = $order_info->caiwu;//carwuordert
                                    $money = $caiwu_info->money1;
                                    $ticket = $order_info->getGiftPrice(1,1);
                                    $gift = $order_info->getGiftPrice(1,0);
                                    $should_pay += $pay_order->should_pay;
                                    $real_pay += $pay_order->real_pay;
                                    $total1_clear += $order_info->total1_clear;
                                    $total1_dis += $order_info->total1_dis;
                                    $ticket_all += $ticket;
                                    $gift_all += $gift;
                                    if($order_info->yuangong_money > 0){
                                        $zifu_all += $order_info->yuangong_money;
                                    }
                                    ?>
                                    <tr>
                                        <td>
                                            <input type="hidden" name="tc_my_payids_1[]" value="<?=$pay_order->id?>">
                                            <?=$index+1?>
                                        </td>
                                        <td><?=$order_info->car_no?></td>
                                        <td><?=$order_info->print_date?></td>
                                        <td><?=$order_info->total1_clear?></td>

                                        <td><?=$caiwu_info->ticheng_zong_rate?></td>
                                        <td><?=$caiwu_info->yeji_rate?></td>
                                        <td><?=$pay_order->should_pay?></td>
                                        <td><?=$order_info->total1_dis?></td>
                                        <td><a href="javascript:void(0);" onclick="open_gift_dlg(<?=$order_info->id?>,1,1)"><?=$ticket?></a></td>
                                        <td><a href="javascript:void(0);" onclick="open_gift_dlg(<?=$order_info->id?>,1,0)"><?=$gift?></a></td>
                                        <td><?=$order_info->yuangong_money?></td>
                                        <td><?=$pay_order->real_pay?></td>
                                        <td>[<a href="/insurer/info?id=<?=$order_info->id?>" target="_blank">详情</a>]</td>
                                    </tr>
                                    <?php
                                }
                                ?>
                                </tbody>
                                <tfoot>
                                <tr>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td><?=number_format($total1_clear,2)?></td>
                                    <td></td>
                                    <td></td>
                                    <td><?=number_format($should_pay,2)?></td>
                                    <td><?=number_format($total1_dis,2)?></td>
                                    <td><?=number_format($ticket_all,2)?></td>
                                    <td><?=number_format($gift_all,2)?></td>
                                    <td><?=number_format($zifu_all,2)?></td>
                                    <td><?=number_format($real_pay,2)?></td>
                                    <td></td>
                                </tr>
                                </tfoot>
                            </table>
                        <?php } ?>
                        <?php if($my_type3_query->count() > 0) { ?>
                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                    <th colspan="13">我的续保</th>
                                </tr>
                                <tr>
                                    <th>序号</th>
                                    <th>车牌号</th>
                                    <th>正本日期</th>
                                    <th>商业净保费</th>
                                    <th>加点比例</th>
                                    <th>基本比例</th>
                                    <th>应提金额</th>
                                    <th>优惠金额</th>
                                    <th>自费礼品</th>
                                    <th>自费礼券</th>
                                    <th>自付减免</th>
                                    <th>实提金额</th>
                                    <th>详情</th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php
                                $should_pay = 0;
                                $real_pay = 0;
                                $total1_clear = 0;
                                $total1_dis = 0;
                                $ticket_all = 0;
                                $gift_all = 0;
                                $zifu_all = 0;
                                foreach($my_type3_query->each() as $index=>$pay_order) {
                                    $order_info = $pay_order->order;
                                    $caiwu_info = $order_info->caiwu;//carwuordert
                                    $money = $caiwu_info->money1;
                                    $ticket = $order_info->getGiftPrice(1,1);
                                    $gift = $order_info->getGiftPrice(1,0);
                                    $should_pay += $pay_order->should_pay;
                                    $real_pay += $pay_order->real_pay;
                                    $total1_clear += $order_info->total1_clear;
                                    $total1_dis += $order_info->total1_dis;
                                    $ticket_all += $ticket;
                                    $gift_all += $gift;
                                    if($order_info->yuangong_money > 0){
                                        $zifu_all += $order_info->yuangong_money;
                                    }

                                    ?>
                                    <tr>
                                        <td>
                                            <input type="hidden" name="tc_my_payids_1[]" value="<?=$pay_order->id?>">
                                            <?=$index+1?>
                                        </td>
                                        <td><?=$order_info->car_no?></td>
                                        <td><?=$order_info->print_date?></td>
                                        <td><?=$order_info->total1_clear?></td>

                                        <td><?=$caiwu_info->ticheng_zong_rate?></td>
                                        <td><?=$caiwu_info->yeji_rate?></td>
                                        <td><?=$pay_order->should_pay?></td>
                                        <td><?=$order_info->total1_dis?></td>
                                        <td><a href="javascript:void(0);" onclick="open_gift_dlg(<?=$order_info->id?>,1,1)"><?=$order_info->getGiftPrice(1,1)?></a></td>
                                        <td><a href="javascript:void(0);" onclick="open_gift_dlg(<?=$order_info->id?>,1,0)"><?=$order_info->getGiftPrice(1,0)?></a></td>
                                        <td><?=$order_info->yuangong_money?></td>
                                        <td><?=$pay_order->real_pay?></td>
                                        <td>[<a href="/insurer/info?id=<?=$order_info->id?>" target="_blank">详情</a>]</td>
                                    </tr>
                                    <?php
                                }
                                ?>
                                </tbody>
                                <tfoot>
                                <tr>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td><?=number_format($total1_clear,2)?></td>
                                    <td></td>
                                    <td></td>
                                    <td><?=number_format($should_pay,2)?></td>
                                    <td><?=number_format($total1_dis,2)?></td>
                                    <td><?=number_format($ticket_all,2)?></td>
                                    <td><?=number_format($gift_all,2)?></td>
                                    <td><?=number_format($zifu_all,2)?></td>
                                    <td><?=number_format($real_pay,2)?></td>
                                    <td></td>
                                </tr>
                                </tfoot>
                            </table>
                        <?php } ?>
                        <?php if($my_type0_query->count() > 0) { ?>
                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                    <th colspan="9">我的原新保</th>
                                </tr>
                                <tr>
                                    <th>序号</th>
                                    <th>车牌号</th>
                                    <th>正本日期</th>
                                    <th>商业净保费</th>
                                    <th>基本比例</th>
                                    <th>应提金额</th>
                                    <th>原新保提成</th>
                                    <th>实提金额</th>
                                    <th>详情</th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php
                                $should_pay = 0;
                                $real_pay = 0;
                                $total1_clear = 0;
                                $total1_dis = 0;
                                foreach($my_type0_query->each() as $index=>$pay_order) {
                                    $order_info = $pay_order->order;
                                    $caiwu_info = $order_info->caiwu;//carwuordert
//                            $money = $caiwu_info->money1;
                                    $should_pay += $pay_order->should_pay;
                                    $real_pay += $pay_order->real_pay;
                                    $total1_clear += $order_info->total1_clear;
//                            $total1_dis += $order_info->total1_dis;
                                    ?>
                                    <tr>
                                        <td>
                                            <input type="hidden" name="tc_my_payids_1[]" value="<?=$pay_order->id?>">
                                            <?=$index+1?>
                                        </td>
                                        <td><?=$order_info->car_no?></td>
                                        <td><?=$order_info->print_date?></td>
                                        <td><?=$order_info->total1_clear?></td>

                                        <td><?=$caiwu_info->first_xinbao_rate?></td>
                                        <td><?=$pay_order->should_pay?></td>
                                        <td><?=$pay_order->first_xinbao_ticheng?></td>
                                        <td><?=$pay_order->real_pay?></td>
                                        <td>[<a href="/insurer/info?id=<?=$order_info->id?>" target="_blank">详情</a>]</td>
                                    </tr>
                                    <?php
                                }
                                ?>
                                </tbody>
                                <tfoot>
                                <tr>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td><?=number_format($total1_clear,2)?></td>
                                    <td></td>
                                    <td><?=number_format($should_pay,2)?></td>
                                    <td></td>
                                    <td><?=number_format($real_pay,2)?></td>
                                    <td></td>
                                </tr>
                                </tfoot>
                            </table>
                        <?php } ?>
                        <!--    内勤核保-->
                        <?php if($my_type5_query->count() > 0) { ?>
                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                    <th colspan="7">核保统计</th>
                                </tr>
                                <tr>
                                    <th>序号</th>
                                    <th>车牌号</th>
                                    <th>正本日期</th>
                                    <th>被保险人</th>
                                    <th>核保比例</th>
                                    <th>核保提成</th>
                                    <th>详情</th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php
                                $real_pay = 0;
                                foreach($my_type5_query->each() as $index=>$pay_order) {
                                    $order_info = $pay_order->order;
                                    $caiwu_info = $order_info->caiwu;
                                    $rate = $caiwu_info->hebao_ticheng;
//                $money = $caiwu_info->money4;
                                    $send_info = $order_info->sendLog;
                                    $real_pay += $pay_order->real_pay;
                                    ?>
                                    <tr>
                                        <td>
                                            <input type="hidden" name="neqi_payids[]" value="<?=$pay_order->id?>">
                                            <?=$index+1?>
                                        </td>
                                        <td><?=$order_info->car_no?></td>
                                        <td><?=$order_info->print_date?></td>
                                        <td><?=MyLib::substr_cut($order_info->id_man,15)?></td>
                                        <td><?=$rate?>元</td>
                                        <td><?=$pay_order->real_pay?>元</td>
                                        <td>[<a href="/insurer/info?id=<?=$order_info->id?>" target="_blank">详情</a>]</td>
                                    </tr>
                                    <?php
                                }
                                ?>
                                </tbody>
                                <tfoot>
                                <tr>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td><?=number_format($real_pay,2)?></td>
                                    <td></td>
                                </tr>
                                </tfoot>
                            </table>
                        <?php } ?>
                        <!--    内勤正本-->
                        <?php if($my_type6_query->count() > 0) { ?>
                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                    <th colspan="7">正本统计</th>
                                </tr>
                                <tr>
                                    <th>序号</th>
                                    <th>车牌号</th>
                                    <th>正本时间</th>
                                    <th>被保险人</th>
                                    <th>正本比例</th>
                                    <th>正本提成</th>
                                    <th>详情</th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php
                                $real_pay = 0;
                                foreach($my_type6_query->each() as $index=>$pay_order) {
                                    $order_info = $pay_order->order;
                                    $caiwu_info = $order_info->caiwu;
                                    $rate = $caiwu_info->zhengben_ticheng;
                                    $send_info = $order_info->sendLog;
                                    $real_pay += $pay_order->real_pay;
                                    ?>
                                    <tr>
                                        <td>
                                            <input type="hidden" name="zhengben[]" value="<?=$pay_order->id?>">
                                            <?=$index+1?>
                                        </td>
                                        <td><?=$order_info->car_no?></td>
                                        <td><?=$order_info->print_date?></td>
                                        <td><?=MyLib::substr_cut($order_info->id_man,15)?></td>
                                        <td><?=$rate?>元</td>
                                        <td><?=$pay_order->real_pay?></td>
                                        <td>[<a href="/insurer/info?id=<?=$order_info->id?>" target="_blank">详情</a>]</td>
                                    </tr>
                                    <?php
                                }
                                ?>
                                </tbody>
                                <tfoot>
                                <tr>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td><?=number_format($real_pay,2)?></td>
                                    <td></td>
                                </tr>
                                </tfoot>
                            </table>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
        <?php } ?>
    </form>
</div>

<?php $this->beginBlock('footer_js'); ?>
<script type="text/javascript" language="javascript">
    $(function () {
        $('.date').datepicker({
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            calendarWeeks: true,
            autoclose: true
        });
        //提交按钮
        $(".btn-save").click(function(){
            parent.layer.confirm('是否确认提交？', {
                btn: ['确认','取消'], //按钮
                shade: false //不显示遮罩
            }, function(){
                var params = $("#theFrm").serialize();
                $.post('/finance/pay2-save',params,function(obj){
                    if(obj.success) {
                        parent.layer.msg('保存成功');
                        parent.refreshList();
                        layer_close();
                    } else {
                        parent.layer.msg(data.msg);
                    }
                },'json');
            }, function(){
                //
            });
        });
        $('.btn-back').click(function(){
            var status_id = $('#status_id').val();
            if(status_id == 0) {
                parent.layer.msg('请先选择退回目标');
                return;
            }

            var r = prompt('退回原因', '');
            if(r != null && r != '') {
                var params = $("#theFrm").serialize() + '&remark='+ r;

                $.post('/finance/pay2-return-save',params,function(obj){
                    parent.layer.msg(obj.msg);
                    if(obj.success) {
                        parent.layer.msg('退回成功');
                        parent.refreshList();
                        layer_close();
                    }
                },'json');
            } else {
                parent.layer.msg('不填写原因,无法退回');
            }


        });
    })
</script>
<?php $this->endBlock('footer_js'); ?>
