<?php
use \common\libs\MyLib;
use common\models\PriceT;

?>
<?php $this->beginBlock('header_css'); ?>
<link href="/assets/css/plugins/bootstrap-table/bootstrap-table.min.css" rel="stylesheet">
<?php $this->endBlock(); ?>

<div class="wrapper wrapper-content animated fadeInRight">
    <form class="form-horizontal" id="orderFrm">
        <input type="hidden" name="car_id" value="<?=$order_info->car_id?>">
        <input type="hidden" name="order_id" value="<?=$order_info->id?>">
        <input type="hidden" name="celuo_id" value="<?=$order_info->celuo_id?>">
        <input type="hidden" name="fanxian_id" value="<?=$order_info->fanxian_id?>">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>保单信息</h5>
            </div>
            <div class="ibox-content">
                <table class="table table-bordered">
                    <tr>
                        <th class="bg-warning">车牌号</th>
                        <td><?=$order_info->car_no?></td>
                        <th class="bg-warning" nowrap>初登日期</th>
                        <td><?=$car_info->register_date?></td>
                        <th class="bg-warning" nowrap>座位数</th>
                        <td><?=$order_info->seats?></td>
                        <th class="bg-warning" nowrap>电子邮件</th>
                        <td><?=$order_info->email?></td>
                    </tr>
                    <tr>
                        <th class="bg-warning">车型</th>
                        <td><?=$order_info->factory_model?></td>
                        <th class="bg-warning" nowrap>发动机号</th>
                        <td><?=$order_info->engine_no?></td>
                        <th class="bg-warning" nowrap>车架号</th>
                        <td><?=$order_info->car_frame_no?></td>
                        <th class="bg-warning" nowrap>新车购置价</th>
                        <td><?=$order_info->purchase_price?></td>
                    </tr>
                    <tr>
                        <th class="bg-warning">车主</th>
                        <td><?=$order_info->car_man?></td>
                        <th class="bg-warning">证件类型</th>
                        <td><?=$order_info->car_man_type?></td>
                        <th class="bg-warning">证件号码</th>
                        <td><?=$order_info->car_man_number?></td>
                        <th class="bg-warning">联系电话</th>
                        <td><?=$order_info->car_man_phone?></td>
                    </tr>
                    <tr>
                        <th class="bg-warning">被投保人</th>
                        <td><?=$order_info->id_man?></td>
                        <th class="bg-warning">证件类型</th>
                        <td><?=$order_info->id_man_type?></td>
                        <th class="bg-warning">证件号码</th>
                        <td><?=$order_info->id_man_number?></td>
                        <th class="bg-warning">联系电话</th>
                        <td><?=$order_info->id_man_phone?></td>
                    </tr>
                    <tr>
                        <th class="bg-warning">投保人</th>
                        <td><?=$order_info->link_man?></td>
                        <th class="bg-warning">证件类型</th>
                        <td><?=$order_info->link_man_type?></td>
                        <th class="bg-warning">证件号码</th>
                        <td><?=$order_info->link_man_number?></td>
                        <th class="bg-warning">联系电话</th>
                        <td><?=$order_info->link_man_phone?></td>
                    </tr>
                    <tr>
                        <th class="bg-warning" nowrap>商业起保日期</th>
                        <td><?=$order_info->insurer1_begin_date?></td>
                        <th class="bg-warning" nowrap>交强起保日期</th>
                        <td><?=$order_info->insurer2_begin_date?></td>
                        <th class="bg-warning">保险公司</th>
                        <td><?=$order_info->company->name?></td>
                        <th class="bg-warning">车辆使用性质</th>
                        <td><?=$order_info->car->carUse->name?></td>
                    </tr>
                    <tr>
                        <th class="bg-warning" nowrap>商业保单号</th>
                        <td><?=$order_info->insurer1_no?></td>
                        <th class="bg-warning" nowrap>商业PDF文件</th>
                        <td>
                            <?php if($order_info->shangye_src != '') { ?>
                                <a href="<?=$order_info->shangye_src?>"><i class="fa fa-image">保单</i></a>
                            <?php } ?>
                            <?php if($order_info->fapiao_src != '') { ?>
                                <a href="<?=$order_info->fapiao_src?>"><i class="fa fa-file-pdf-o">发票</i></a>
                            <?php } ?>
                        </td>
                        <th class="bg-warning">交强保单号</th>
                        <td><?=$order_info->insurer2_no?></td>
                        <th class="bg-warning">交强PDF文件</th>
                        <td>
                            <?php if($order_info->jiaoqiang_src != '') { ?>
                                <a href="<?=$order_info->jiaoqiang_src?>"><i class="fa fa-image">保单</i></a>
                            <?php } ?>
                            <?php if($order_info->jq_fapiao_src != '') { ?>
                                <a href="<?=$order_info->jq_fapiao_src?>"><i class="fa fa-file-pdf-o">发票</i></a>
                            <?php } ?>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>险种</h5>
            </div>
            <div class="ibox-content">
                <table class="table table-bordered">
                    <tr>
                        <?php
                        $len = count($insurer_type_items);
                        $index = 0;
                        for($i = 0; $i < $len; $i++) {
                            $item = $insurer_type_items[$i];
                            $order_id = $order_info->id;
                            if(!$order_id)
                                $order_id = 0;
                            $tmp_row = PriceT::find()
                                ->where('order_id='.$order_id.' and type_id='.$item->id)
                                ->one();
                            if(!$tmp_row || $tmp_row->val == '' || $tmp_row->val == '否') continue;
                            ?>
                            <th class="bg-warning">
                                <?=$item->name?>(<?=$item->code?>)
                            </th>
                            <td><?=$tmp_row->val?></td>
                            <td><?=($tmp_row->is_nopay == 1)?'不计免赔':''?></td>
                            <?php
                            if(($index+1)%3==0) {
                                echo '</tr>';
                                echo '<tr>';
                            }
                            $index++;
                        }
                        ?>
                    </tr>
                </table>
            </div>
        </div>
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>保费信息</h5>
            </div>
            <div class="ibox-content">
                <table class="table table-bordered">
                    <tr>
                        <th class="bg-warning">商业总净保费</th>
                        <td><?=$order_info->total1_clear?></td>
                        <th class="bg-warning">商业含税总保费</th>
                        <td><?=$order_info->total1?></td>
                        <th class="bg-warning">车船税</th>
                        <td><?=$order_info->total3?></td>
                    </tr>
                    <tr>
                        <th class="bg-warning">交强总净保费</th>
                        <td><?=$order_info->total2_clear?></td>
                        <th class="bg-warning">交强含税总保费</th>
                        <td><?=$order_info->total2?></td>
                        <th class="bg-warning">业务自付金额</th>
                        <td><?=$order_info->yuangong_money?></td>
                    </tr>
                    <tr>
                        <th class="bg-warning">折扣后商业净保费</th>
                        <td><?=$order_info->total1_real?></td>
                        <th class="bg-warning">减免金额</th>
                        <td><?=$order_info->total1_dis?></td>
                        <th class="bg-warning">商业折扣率</th>
                        <td><?=$order_info->total1_percent?></td>
                    </tr>
                    <tr>
                        <th class="bg-warning">共计签单</th>
                        <td><?=$order_info->total_all?></td>
                        <th class="bg-warning">应收</th>
                        <td><?=$order_info->total_real?></td>
                        <th class="bg-warning">支付方式</th>
                        <td><?=$order_info->payType ? $order_info->payType->name : ''?></td>
                    </tr>
                    <tr>
                        <th class="bg-warning">备注</th>
                        <td colspan="5"><?=$order_info->price_remark?></td>
                    </tr>
                </table>
            </div>
        </div>
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>返现信息</h5>
            </div>
            <div class="ibox-content">
                <table class="table table-bordered">
                    <tr>
                        <th class="bg-warning">应免金额</th>
                        <td><?=$order_info->total1_dis?></td>
                        <th class="bg-warning">业务自付金额</th>
                        <td><?=$order_info->yuangong_money?></td>
                        <th class="bg-warning">实返金额</th>
                        <td><?=number_format($order_info->total1_dis + $order_info->yuangong_money,2)?></td>
                        <th class="bg-warning"></th>
                        <td></td>
                    </tr>
                    <tr>
                        <th class="bg-warning">领款人</th>
                        <td>
                            <input type="text" name="money_man" value="<?=$caiwu_info->money_man?>" class="form-control">
                        </td>
                        <th class="bg-warning">开户行</th>
                        <td>
                            <input type="text" name="money_bank" value="<?=$caiwu_info->money_bank?>" class="form-control">
                        </td>
                        <th class="bg-warning">银行账号</th>
                        <td>
                            <input type="text" name="money_no" value="<?=$caiwu_info->money_no?>" class="form-control">
                        </td>
                        <th class="bg-warning">转账日期</th>
                        <td>
                            <input type="text" name="transfer_date" id="transfer_date" value="<?=$caiwu_info->transfer_date?>" class="form-control">
                        </td>
                    </tr>
                    <tr>
                        <th class="bg-warning">转账金额</th>
                        <td>
                            <input type="text" name="transfer_money" value="<?=$caiwu_info->transfer_money>0?$caiwu_info->transfer_money:round($order_info->total1_dis+$order_info->yuangong_money,2)?>" class="form-control">
                        </td>
                        <th class="bg-warning">转账银行</th>
                        <td>
                            <select name="transfer_bank_id" class="form-control">
                                <?php
                                foreach($banks as $bank) {
                                    echo '<option value="'.$bank->id.'"';
                                    if($bank->id == $caiwu_info->transfer_bank_id)
                                        echo ' selected ';
                                    echo '>'.$bank->name.'</option>';
                                }
                                ?>
                            </select>
                        </td>
                        <th class="bg-warning">银行流水号</th>
                        <td>
                            <input type="text" name="transfer_bank_no" value="<?=$caiwu_info->transfer_bank_no?>" class="form-control">
                        </td>
                        <th class="bg-warning">转账状态</th>
                        <td>
                            <select name="caiwu_status_id" class="form-control">
                                <?php
                                echo '<option value="0">无操作</option>';
                                foreach($caiwu_status as $item){
                                    echo '<option value="'.$item->id.'"';
                                    echo $caiwu_info->caiwu_status_id == $item->id ? ' selected' : '';
                                    echo '>'.$item->name.'</option>';
                                }
                                ?>
                            </select>
                        </td>
                    </tr>
                </table>
                <div>
                    <div class="row">
                        <div class="col-sm-12 text-center">
                            <button type="button" class="btn btn-primary btn-cancel" type="button">
                                <strong>放弃处理</strong>
                            </button>
                            <button type="button" class="btn btn-primary btn-save" type="button">
                                <strong>保 存</strong>
                            </button>
                            <button type="button" class="btn btn-primary btn-submit" type="button">
                                <strong>提 交</strong>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>操作记录</h5>
                <div class="ibox-tools">
                    <a class="btn btn-primary btn-xs edit-btn" data-id="0" href="javascript:void(0);" onclick="$('#logTable').bootstrapTable('refresh');">
                        <i class="fa fa-refresh"></i> 刷新
                    </a>
                </div>
            </div>
            <div class="ibox-content">
                <table id="logTable">
                    <thead>
                    <tr>
                        <th data-field="op_man">操作者</th>
                        <th data-field="op_time">操作时间</th>
                        <th data-field="remark">操作内容</th>
                    </tr>
                    </thead>
                </table>
            </div>
        </div>

    </form>
</div>


<?php $this->beginBlock('footer_js'); ?>
<script src="/assets/js/plugins/bootstrap-table/bootstrap-table.min.js"></script>
<script src="/assets/js/plugins/bootstrap-table/bootstrap-table-mobile.min.js"></script>
<script src="/assets/js/plugins/bootstrap-table/locale/bootstrap-table-zh-CN.min.js"></script>
<script>
    var o = {};
    //判断是否填写了选项
    function isNull(data){
        if(data == "" || data == undefined || data == null){
            return true;
        }else{
            return false;
        }
    }
    //保存订单
    function saveOrder(status_id) {
        var params = $('#orderFrm').serialize();
        params = params + '&status_id=' + status_id;
        $.post('/insurer/finance-mng-save',params,function(obj){
            parent.layer.msg(obj.msg);
            if(obj.success && status_id==10) {
                parent.refreshList();
                layer_close();
            }
        },'json');
    }
    //操作记录
    function searchOps() {
        $('#logTable').bootstrapTable('destroy');
        $('#logTable').bootstrapTable({
            url: "/car/history-json",
            pagination: true,
            sidePagination: 'server',
            multipleSelectRow: true,
            queryParams: function(params) {
                o['car_id'] = '<?=$order_info->car_id?>';
                o['limit'] = params['limit'];
                o['offset'] = params['offset'];
                return o;
            }
        });
    }

    $(function() {
        searchOps();
        $('#transfer_date').datepicker({
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            calendarWeeks: true,
            autoclose: true
        });
        $('.btn-cancel').click(function(){
            parent.layer.confirm('是否确认放弃处理？', {
                btn: ['确认','取消'], //按钮
                shade: false //不显示遮罩
            }, function(){
                var params = $("#theFrm").serialize();
                $.post('/insurer/finance-cancel-save',{order_id:<?=$order_info->id?>},function(obj){
                    parent.layer.msg(obj.msg);
                    if(obj.success) {
                        parent.refreshList();
                        layer_close();
                    }
                },'json');
            }, function(){
                //
            });
        });
        $('.btn-save').click(function(){
            saveOrder(12);
        });
        $('.btn-submit').click(function(){
            saveOrder(10);
        });
    });
</script>
<?php $this->endBlock(); ?>
