<?php

/* @var $this \yii\web\View */
/* @var $content string */

use yii\helpers\Html;
?>
<?php $this->beginPage() ?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=<?= Yii::$app->charset ?>"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?= Html::encode($this->title) ?></title>
    <?=Html::csrfMetaTags() ?>
    <link rel="shortcut icon" href="favicon.ico">
    <link href="/assets/js/plugins/layui/css/layui.css" rel="stylesheet">
    <link href="/assets/css/bootstrap.min.css?v=3.3.6" rel="stylesheet">
    <link href="/assets/css/font-awesome.css?v=4.4.0" rel="stylesheet">
    <link href="/assets/css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="/assets/css/plugins/datapicker/datepicker3.css" rel="stylesheet">
    <link href="/assets/css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <?php if (isset($this->blocks['header_css'])): ?>
        <?= $this->blocks['header_css'] ?>
    <?php endif; ?>
    <link href="/assets/css/animate.css" rel="stylesheet">
    <link href="/assets/css/style.css?v=4.1.1" rel="stylesheet">
    <link href="/assets/css/custom.css?v=1.0.0" rel="stylesheet">
</head>
<body class="gray-bg">
<?php $this->beginBody() ?>
<?=$content ?>
<!-- 全局js -->
<script src="/assets/js/plugins/layui/layui.js"></script>
<script src="/assets/js/jquery.min.js?v=2.1.4"></script>
<script src="/assets/js/bootstrap.min.js?v=3.3.6"></script>
<script src="/assets/js/plugins/iCheck/icheck.min.js"></script>
<script src="/assets/js/plugins/datapicker/bootstrap-datepicker.js"></script>
<script src="/assets/js/plugins/layer/layer.min.js"></script>
<!-- 自定义js -->
<script src="/assets/js/content.js?v=1.0.0"></script>
<!-- Bootstrap table -->
<script src="/assets/js/myfunc.js"></script>
<?php if (isset($this->blocks['footer_js'])): ?>
    <?= $this->blocks['footer_js'] ?>
<?php endif; ?>
<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>