<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "clean_tongji".
 *
 * @property int $id
 * @property int $user_id
 * @property int $right_num
 * @property int $wrong_num
 * @property string $yuefen 提交日期
 * @property int $car_id
 * @property string $car_no
 * @property string $created_at
 * @property string $updated_at
 */
class CleanTongji extends \common\models\Base
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'clean_tongji';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['user_id'], 'required'],
            [['user_id', 'right_num', 'wrong_num', 'car_id'], 'integer'],
            [['yuefen', 'created_at', 'updated_at'], 'safe'],
            [['car_no'], 'string', 'max' => 50],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'user_id' => 'User ID',
            'right_num' => 'Right Num',
            'wrong_num' => 'Wrong Num',
            'yuefen' => 'Yuefen',
            'car_id' => 'Car ID',
            'car_no' => 'Car No',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}
