<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "wages_other_t".
 *
 * @property integer $id
 * @property integer $order_id
 * @property string $new_bili
 * @property string $old_bili
 * @property string $fix_bili
 * @property string $genz_bili
 * @property string $old_fix_bili
 * @property string $send_list_bili
 * @property string $shuttle_bili
 */
class WagesOtherT extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'wages_other_t';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['order_id'], 'integer'],
            [['new_bili', 'old_bili', 'fix_bili', 'genz_bili', 'old_fix_bili', 'send_list_bili', 'shuttle_bili'], 'number'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'order_id' => 'Order ID',
            'new_bili' => 'New Bili',
            'old_bili' => 'Old Bili',
            'fix_bili' => 'Fix Bili',
            'genz_bili' => 'Genz Bili',
            'old_fix_bili' => 'Old Fix Bili',
            'send_list_bili' => 'Send List Bili',
            'shuttle_bili' => 'Shuttle Bili',
        ];
    }
}
