<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="renderer" content="webkit">
    <title>汇盈帮手车险业务系统 - 主页</title>
    <!--[if lt IE 9]>
    <meta http-equiv="refresh" content="0;/ie.html" />
    <![endif]-->
    <link rel="shortcut icon" href="/favicon.ico">
    <link href="/assets/css/bootstrap.min.css?v=3.3.6" rel="stylesheet">
    <link href="/assets/css/font-awesome.min.css?v=4.4.0" rel="stylesheet">
    <link href="/assets/css/animate.css" rel="stylesheet">
    <link href="/assets/css/style.css?v=4.1.0" rel="stylesheet">
    <link href="/assets/css/pop.css" rel="stylesheet">
</head>
<body class="fixed-sidebar full-height-layout gray-bg" style="overflow:hidden">
<div id="wrapper">
    <!--左侧导航开始-->
    <nav class="navbar-default navbar-static-side" role="navigation">
        <div class="nav-close"><i class="fa fa-times-circle"></i></div>
        <div class="sidebar-collapse">
            <ul class="nav" id="side-menu">
                <li class="nav-header" style="padding-top:13px;">
                    <div class="prompt" style="padding-bottom:10px;"><i class="fa fa-exclamation-circle"></i> 提示</div>
                    <div class="dropdown profile-element">
                        <span><img alt="image" class="img-circle" src="/assets/img/profile_small.jpg" /></span>
                        <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                            <span class="clear">
                                <span class="block m-t-xs"><strong class="font-bold"><?=$this->context->my->username?>&nbsp;&nbsp;</strong></span>
                                <span class="text-muted text-xs block"><?=$this->context->my->name?>&nbsp;&nbsp;<b class="caret"></b></span>
                            </span>
                        </a>
                        <ul class="dropdown-menu animated fadeInRight m-t-xs">
                            <li><a class="J_menuItem" href="/common/call-phone">拨打电话</a></li>
                            <li><a class="J_menuItem" href="/common/update-pwd">修改密码</a></li>
                            <li class="divider"></li>
                            <li><a href="/common/logout">安全退出</a></li>
                        </ul>
                    </div>
                    <div class="logo-element">菜单</div>
                </li>
                <?php foreach($menus as $item) { ?>
                <li class="av">
                    <a href="#">
                        <i class="<?=$item['icon']?>"></i>
                        <span class="nav-label"><?=$item['name']?></span>
                        <span class="fa arrow"></span>
                    </a>
                    <?php if(isset($item['children'])) { ?>
                    <ul class="nav nav-second-level">
                        <?php foreach($item['children'] as $sub_item) { ?>
                        <li>
                            <a class="J_menuItem" href="<?=$sub_item['path']?>" data-index="0"><?=$sub_item['name']?></a>
                        </li>
                        <?php } ?>
                    </ul>
                    <?php } ?>
                </li>
                <?php } ?>
                <div style='padding:20px;'><i class="fa fa-exclamation-circle"></i> <a href="/description.html" style="color:#fff;" target="_blank">二级菜单特色提示</a></div>
            </ul>
        </div>
    </nav>
    <!--左侧导航结束-->
    <!--右侧部分开始-->
    <div id="page-wrapper" class="gray-bg dashbard-1">
        <div class="row content-tabs">
            <button class="roll-nav roll-left J_tabLeft"><i class="fa fa-backward"></i>
            </button>
            <button class="roll-nav roll-left J_tabLeft"><i class="fa fa-backward"></i>
            </button>
            <nav class="page-tabs J_menuTabs">
                <div class="page-tabs-content">
                    <a href="javascript:;" class="active J_menuTab" data-id="/">首页</a>
                </div>
            </nav>
            <button class="roll-nav roll-right J_tabRight"><i class="fa fa-forward"></i>
            </button>
            <div class="btn-group roll-nav roll-right">
                <button class="dropdown J_tabClose" data-toggle="dropdown">其他操作<span class="caret"></span>

                </button>
                <ul role="menu" class="dropdown-menu dropdown-menu-right">
                    <li class="navbar-minimalize"><a>关闭左侧菜单</a></li>
                    <li class="divider"></li>
                    <li class="J_tabShowActive"><a>定位当前选项卡</a></li>
                    <li class="divider"></li>
                    <li class="J_tabCloseAll"><a>关闭全部选项卡</a>
                    </li>
                    <li class="J_tabCloseOther"><a>关闭其他选项卡</a>
                    </li>
                </ul>
            </div>
            <a href="/common/logout" class="roll-nav roll-right J_tabExit"><i class="fa fa fa-sign-out"></i> 退出</a>
            <a class="navbar-minimalize minimalize-styl-2 btn btn-success  roll-right" href="#" style="position:fixed;bottom:40px;">
                <i class="fa fa-bars"></i>
            </a>
        </div>

        <div class="row J_mainContent" id="content-main">
            <iframe class="J_iframe" name="iframe0" width="100%" height="100%" src="/common/welcome" frameborder="0" data-id="index_v1.html" seamless></iframe>
        </div>
        <div class="footer">
            <div class="pull-right">&copy; 2014-<?=date('Y')?> <a href="#" target="_blank">汇盈百顺</a>
            </div>
        </div>
    </div>
    <!--右侧部分结束-->
    <!--模态弹窗-->
    <div class="model_wrap"></div>

     <div class="jump unchoose">跳过</div>
     <div class="model-bg unchoose">
        <div class="content">
            <div class="model-title">系统管理功能</div>用户设置，权限管理，权限分配，部门管理。数据备份，还原，压缩。<br/>客户字段自定义<br/>菜单字段自定义<div class="two-permpt"><a  href="/description.html" style="color: blanchedalmond;" >二级菜单特色提示</a></div>
        </div>
        <div class="nextPage" style="margin-top:20px;margin-left:0;">下一步</div>
     </div>
     <div class="model-bg unchoose">
         <div class="content">
            <div class="model-title">数据库管理</div>总库分配到小组或个人，<br/>数据库管理可以对所有的数据进行分配一般会通过业务人员电话核实之后，分为<br/>意向客户，成单客户，无效客户
                                                   <br/>(数据库列表名称可根据自己的偏好进行编辑),<br/>车辆数据和车险数据相通，供坐席查询相关资料和信息<div class="two-permpt"><a  href="/description.html" style="color: blanchedalmond;">二级菜单特色提示</a></div></div>
         <div class="Previous">上一步</div>
         <div class="nextPage">下一步</div>
     </div>
     <div class="model-bg unchoose">
         <div class="content">
            <div class="model-title">销售管理</div>可以看到从数据库分配到业务里面的数据，显示业务所有通话数据和已提交订单，退单，预约信息等等，电销下单，电销系统全程通话录音，
                                                    详细的通话记录。共查询分析，录音可保存为MP3格式，支持导入导出功能<div class="two-permpt"><a  href="/description.html" style="color: blanchedalmond;">二级菜单特色提示</a></div></div>
         <div class="Previous">上一步</div>
         <div class="nextPage">下一步</div>
     </div>
     <div class="model-bg unchoose">
        <div class="content">
            <div class="model-title">内勤管理</div>业务提交的车险定单同步到内勤由内勤做审核管理，生成保险单后对接客户<div class="two-permpt"><a  href="/description.html" style="color: blanchedalmond;">二级菜单特色提示</a></div></div>
          <div class="Previous">上一步</div>
          <div class="nextPage">下一步</div>
     </div>
     <div class="model-bg unchoose">
         <div class="content">
            <div class="model-title">财务管理</div>对接业务订单进行提成管理，利润统计，出纳统计，工资统计，优惠，及其他车险政策管理<div class="two-permpt"><a  href="/description.html" style="color: blanchedalmond;">二级菜单特色提示</a></div></div>
           <div class="Previous">上一步</div>
           <div class="nextPage">下一步</div>
     </div>
     <div class="model-bg unchoose">
         <div class="content"><div class="model-title">查询统计</div>客户信息查询，订单信息查询，工作量统计查询<div class="two-permpt"><a  href="/description.html" style="color: blanchedalmond;">二级菜单特色提示</a></div></div>
          <div class="Previous">上一步</div>
          <div class="nextPage">下一步</div>
     </div>
     <div class="model-bg unchoose">
         <div class="content"><div class="model-title">礼品管理</div>礼品礼券管理，电话活动政策的制定<div class="two-permpt"><a  href="/description.html" style="color: blanchedalmond;">二级菜单特色提示</a></div></div>
          <div class="Previous">上一步</div>
          <div class="nextPage">下一步</div>
     </div>
      <div class="model-bg unchoose">
           <div class="content"><div class="model-title">电话中心</div>通话记录统计，通话时长统计，电话号码分配<div class="two-permpt"><a  href="/description.html" style="color: blanchedalmond;">二级菜单特色提示</a></div></div>
           <div class="nextPage perfection" style="margin-top:20px;">完成</div>
      </div>
</div>
<!-- 全局js -->
<script src="/assets/js/jquery.min.js?v=2.1.4"></script>
<script src="/assets/js/bootstrap.min.js?v=3.3.6"></script>
<script src="/assets/js/plugins/metisMenu/jquery.metisMenu.js"></script>
<script src="/assets/js/plugins/slimscroll/jquery.slimscroll.min.js"></script>
<script src="/assets/js/plugins/layer/layer.min.js"></script>
<!-- 自定义js -->
<script src="/assets/js/hplus.js?v=4.1.0"></script>
<script type="text/javascript" src="/assets/js/contabs.js"></script>
<script src="/assets/js/model.js"></script>
<!-- 第三方插件 -->
<script src="/assets/js/plugins/pace/pace.min.js"></script>

<script>
$(function(){
    if(window.localStorage.getItem('isform')==null){
        $(".model_wrap").show();
         $(".model-bg").eq(0).removeClass("unchoose");
         $('.jump').removeClass('unchoose');
         $('#side-menu .av').eq(0).click().addClass('boo');
         window.localStorage.setItem('isform',1);
    }
})
</script>
</body>
</html>
