<?php
use \common\libs\MyLib;
?>
<?php $this->beginBlock('header_css'); ?>
<?php $this->endBlock(); ?>

<div class="wrapper wrapper-content animated fadeInRight">
    <div class="ibox float-e-margins">
        <div class="ibox-title">
            <h5>修改密码</h5>
        </div>
        <div class="ibox-content">
            <div class="row">
                <div class="col-sm-12">
                    <form role="form" class="form-horizontal data-from" id="theFrm">
                        <input type="hidden" name="id" value="<?=$user_info->id?>">
                        <div class="form-group">
                            <label class="col-sm-1 control-label">工号</label>
                            <div class="col-sm-6">
                                <label class="form-control-static"><?=$user_info->username?></label>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-1 control-label">姓名</label>
                            <div class="col-sm-6">
                                <label class="form-control-static"><?=$user_info->name?></label>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-1 control-label">电话</label>
                            <div class="col-sm-6">
                                <label class="form-control-static"><?=$user_info->phone?></label>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-1 control-label">新密码</label>
                            <div class="col-sm-6">
                                <input type="password" name="pwd" value="" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-1 control-label">确认密码</label>
                            <div class="col-sm-6">
                                <input type="password" name="re_pwd" value="" class="form-control">
                            </div>
                        </div>
                        <div>
                            <div class="row">
                                <div class="col-sm-5 col-sm-offset-5">
                                    <button class="btn btn-primary btn-save" type="button">
                                        <strong>修改密码</strong>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<?php $this->beginBlock('footer_js'); ?>
<script type="text/javascript" language="javascript">
    $(function () {
        //提交按钮
        $(".btn-save").click(function(){
            parent.layer.confirm('是否确认提交？', {
                btn: ['确认','取消'], //按钮
                shade: false //不显示遮罩
            }, function(){
                var params = $("#theFrm").serialize();
                $.post('/common/update-pwd-save',params,function(data){
                    parent.layer.msg(data.msg);
                    if(data.success) {
                        window.top.location.href = "/common/logout";
                    }
                },'json');
            }, function(){
                //
            });
        });
    })
</script>
<?php $this->endBlock('footer_js'); ?>
