<?php
use \common\libs\MyLib;
?>
<?php $this->beginBlock('header_css'); ?>
<link href="/assets/css/plugins/iCheck/custom.css" rel="stylesheet">
<?php $this->endBlock(); ?>

<div class="wrapper wrapper-content animated fadeInRight">
    <div class="ibox float-e-margins">
        <div class="ibox-content">
            <div class="row">
                <div class="col-sm-12">
                    <form role="form" class="form-horizontal data-from" id="theFrm">
                        <input type="hidden" name="id" value="<?=intval($caiwu_info->id)?>">
                        <div class="form-group">
                            <label class="col-sm-2 control-label">无效理由</label>
                            <div class="col-sm-3">
                                <p class="form-control-static"><?=$caiwu_info->car_no?></p>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">保险公司</label>
                            <div class="col-sm-3">
                                <p class="form-control-static"><?=$caiwu_info->order->company2->name?></p>
                            </div>
                            <label class="col-sm-2 control-label">保单号</label>
                            <div class="col-sm-3">
                                <input type="text" name="insurer_no" value="<?=$caiwu_info->insurer_no?>" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">总保费</label>
                            <div class="col-sm-3">
                                <p class="form-control-static"><?=$caiwu_info->total?></p>
                            </div>
                            <label class="col-sm-2 control-label">净保费</label>
                            <div class="col-sm-3">
                                <p class="form-control-static"><?=$caiwu_info->total_clear?></p>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">手续费比例</label>
                            <div class="col-sm-3">
                                <div class="input-group">
                                    <input type="text" name="total_rate" value="<?=$caiwu_info->total_rate?>" class="form-control">
                                    <div class="input-group-addon">%</div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">回款金额</label>
                            <div class="col-sm-3">
                                <input type="text" name="r_total" value="<?=$caiwu_info->r_total?>" class="form-control">
                            </div>
                            <label class="col-sm-2 control-label">回款日期</label>
                            <div class="col-sm-3">
                                <input type="text" name="r_date" id="r_date" value="<?=$caiwu_info->r_date?>" class="form-control date" autocomplete="off">
                            </div>
                        </div>
                        <div>
                            <div class="row">
                                <div class="col-sm-5 col-sm-offset-5">
                                    <button class="btn btn-primary btn-save" type="button">
                                        <strong>提 交</strong>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<?php $this->beginBlock('footer_js'); ?>
<script type="text/javascript" language="javascript">
    $(function () {
        $('.date').datepicker({
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            calendarWeeks: true,
            autoclose: true
        });
        //提交按钮
        $(".btn-save").click(function(){
            parent.layer.confirm('是否确认提交？', {
                btn: ['确认','取消'], //按钮
                shade: false //不显示遮罩
            }, function(){
                var params = $("#theFrm").serialize();
                $.post('/finance/receipt-save',params,function(obj){
                    parent.layer.msg(obj.msg);
                    if(obj.success) {
                        parent.refreshList();
                        layer_close();
                    }
                },'json');
            }, function(){
                //
            });
        });
    })
</script>
<?php $this->endBlock('footer_js'); ?>

