<script type="text/javascript" language="javascript" src="/js/jquery-1.8.3.js"></script>
<script type="text/javascript" language="javascript" src="/js/ajax.js"></script>
<script type="text/javascript" language="javascript" src="/js/func.js"></script>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1" class="table">
    <form id="searchForm" method="GET">
        <tr>
            <td class="td_bg">
                <label for="pid">顶级分类:</label>
                <select name="pid" id="pid" onchange="getSons($(this).val())">
                    <option value="0">全部</option>
                    <?php if (count($parents) > 0): ?>
                        <?php foreach ($parents as $parent): ?>
                            <option value="<?= $parent->id ?>" <?= $pid == $parent->id ? 'selected' : '' ?>><?= $parent->name ?></option>
                        <?php endforeach; ?>
                    <?php endif; ?>
                </select>
                <label for="id">配件名:</label>
                <select name="id" id="id">
                    <option value="0">---请选择---</option>
                    <?php if (count($sons) > 0): ?>
                        <?php foreach ($sons as $son): ?>
                            <option value="<?= $son->id ?>" <?= $id == $son->id ? 'selected' : '' ?>><?= $son->name ?></option>
                        <?php endforeach; ?>
                    <?php endif; ?>
                </select>
                <input type="submit" class="act_btn" id="search-btn" name="search-btn" value="搜索">
                <input type="button" class="act_btn" value="添加" onclick="location.href='/fix-car-scale/info'">
            </td>
        </tr>
    </form>
</table>
<table width="98%" border="0" align="center" cellpadding="2" cellspacing="1" class="table">
    <tr>
        <td width="50" align="center" align="center" class="bg_tr" nowrap>排序</td>
        <td align="center" align="center" class="bg_tr">配件名</td>
        <td align="center" align="center" class="bg_tr">比例</td>
        <td width="30" align="center" class="bg_tr">操作</td>
    </tr>
    <?php if (count($scales) > 0): ?>
        <?php foreach ($scales as $key => $scale): ?>
            <tr onMouseOver=overColor(this) onMouseOut=outColor(this)>
                <td align="center" class="td_bg" nowrap><?= $key + 1 ?></td>
                <td align="left" class="td_bg" nowrap><?= $scale->category->name ?></td>
                <td align="left" class="td_bg" nowrap><?= $scale->scale ?>%</td>
                <td align="center" class="td_bg" nowrap>
                    [<a href="javascript:void(0);" onclick="edit('<?= $scale->id ?>')">详情</a>]
                </td>
            </tr>
        <?php endforeach; ?>
    <?php endif; ?>
    <tr>
        <td height="25" colspan="12" align="center" class="td_bg"><?= $page_info ?></td>
    </tr>
</table>
<script type="text/javascript" language="javascript">
    //编辑
    function edit(id) {
        window.location.href = '/fix-car-scale/info?id=' + id;
    }

    //顶级分类 change 事件
    function getSons(val) {
        if (!val) return false;
        $.post('/fix-car-category/get-machine', {pid: val}, function (data) {
            if (data.success) {
                var _option = '';
                for (var i = 0; i < data.content.length; i++) {
                    _option += '<option value="' + data.content[i].id + '">' + data.content[i].name + '</option>';
                }
                $('#id').html(_option);
            }

        }, 'json');
    }
</script>
