<?php
use \common\libs\MyLib;
?>
<?php $this->beginBlock('header_css'); ?>
<?php $this->endBlock(); ?>

<div class="wrapper wrapper-content animated fadeInRight">
    <div class="ibox float-e-margins">
        <div class="ibox-title">
            <h5>维修明细 - 新增</h5>
        </div>
        <div class="ibox-content">
            <div class="row">
                <div class="col-sm-12">
                    <form role="form" class="form-horizontal data-from" id="theFrm">
                        <input type="hidden" name="fix_id" value="<?=$fix_info->id?>">
                        <input type="hidden" name="_csrf" id="_csrf" value="<?= Yii::$app->request->csrfToken ?>">
                        <div class="form-group">
                            <label class="col-sm-2 control-label">名称</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="name" id="name">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">价格</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="price" id="price">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">数量</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="count" id="count">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">分类</label>
                            <div class="col-sm-10">
                                <select class="form-control" name="type" id="type">
                                    <option>钣金</option>
                                    <option>喷漆</option>
                                    <option>机电</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">大类</label>
                            <div class="col-sm-10">
                                <select class="form-control" name="big_type_id" id="big_type_id">
                                    <option value="1">保险理赔</option>
                                    <option value="2">自费维修</option>
                                    <option value="3">汽车保养</option>
                                    <option value="4">汽车美容</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">小类</label>
                            <div class="col-sm-10">
                                <select class="form-control" name="small_type_id" id="small_type_id">
                                    <option value="1">更换清单</option>
                                    <option value="2">维修清单</option>
                                    <option value="3">待定清单</option>
                                    <option value="4">配件清单</option>
                                    <option value="5">工时清单</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">备注</label>
                            <div class="col-sm-10">
                                <textarea name="car_phone" id="car_phone"></textarea>
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-2">
                                <button class="btn btn-primary btn-save" type="button" onclick="saveInfo()">保存</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<?php $this->beginBlock('footer_js'); ?>
<script type="text/javascript" language="javascript">
    function saveInfo(){
        var param = $('#theFrm').serialize();
        $.post('/fix-car/add-item',param,function(obj){
            alert(obj.msg);
            parent.closeDlg();
        },'json');
    }
</script>
<?php $this->endBlock('footer_js'); ?>